commit 065be9bee0a0f13cdcc266161c273bd3155e6eb8 (HEAD, t/libtpms-V6)
Author: Andreas Niederl <andreas.niederl@iaik.tugraz.at>
Date:   Fri Aug 12 15:47:27 2011 +0200

    Move tpm_drivers[] declaration to tpm_drivers.h

diff --git a/src/tcgbios.c b/src/tcgbios.c
index 111fe8a..ae52520 100644
--- a/src/tcgbios.c
+++ b/src/tcgbios.c
@@ -86,8 +86,6 @@ static tcpa_state_t tcpa_state = {
     .tpm_driver_to_use = TPM_INVALID_DRIVER,
 };
 
-extern struct tpm_driver tpm_drivers[];
-
 typedef struct {
     u8  op;
 } tpm_bios_cfg_t;
diff --git a/src/tpm_drivers.h b/src/tpm_drivers.h
index 6b593db..27a040f 100644
--- a/src/tpm_drivers.h
+++ b/src/tpm_drivers.h
@@ -28,6 +28,8 @@ struct tpm_driver {
     u32 sha1threshold;
 };
 
+extern struct tpm_driver tpm_drivers[];
+
 #define TIS_DRIVER_IDX       0
 #define TPM_NUM_DRIVERS      1
 
